<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('internships', function (Blueprint $table) {
            $table->string('title');
            $table->text('title_description');
            $table->string('salary_per_month');
            $table->json('bullets');
            $table->string('location');
            $table->string('salary_currency');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('internships', function (Blueprint $table) {
            $table->dropColumn([
                'title',
                'title_description',
                'salary_per_month',
                'bullets',
                'location',
                'salary_currency',
            ]);
        });
    }
};
